Retrieves the calendars of connected accounts visible to the caller (own accounts plus shared ones), with optional filtering (connectedAccountId), search, sorting, and pagination. Calendar ids match the entityId of the messaging.calendar.changed webhook event.
apiKeyAuth API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
items <= 50length <= 200application/json
application/json
application/json
application/json
application/json
curl -X POST "https://customermates.com/api/v1/messaging/calendars/search" \ -H "Content-Type: application/json" \ -d '{}'{
"customColumns": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"entityType": "contact",
"type": "plain"
}
],
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
],
"searchTerm": "string",
"sortDescriptor": {
"field": "string",
"direction": "asc"
},
"pagination": {
"page": 1,
"pageSize": 5,
"totalPages": 0,
"total": 0
},
"filterableFields": [
{
"field": "string",
"operators": [
"equals"
],
"label": "string"
}
],
"savedFilterPresets": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
"provider": "google",
"name": "string",
"description": "string",
"color": "string",
"timezone": "string"
}
]
}"string""string""string""string"